UberStudent Forums
http://uberstudent.com/phpBB/

In upgrade to Hericlitus 4.3
http://uberstudent.com/phpBB/viewtopic.php?f=4&t=1169
Page 1 of 1

Author:  Ian Smith [ Wed Mar 30, 2016 11:32 am ]
Post subject:  In upgrade to Hericlitus 4.3

Good Day,
In updates and then upgrade to Hericlitus 4.3
Com has been offline for over 9 months.
Here is info I have saved re errors:
Attachment:
Untitled 1.odt [29.35 KiB]
Downloaded 499 times

Attachment:
Screenshot - 03302016 - 1.png
Screenshot - 03302016 - 1.png [ 167.86 KiB | Viewed 15707 times ]

Attachment:
Screenshot - 03302016 - 2.png
Screenshot - 03302016 - 2.png [ 100.42 KiB | Viewed 15707 times ]

Attachment:
Screenshot - 03302016 - 3.png
Screenshot - 03302016 - 3.png [ 119.07 KiB | Viewed 15707 times ]


I've tried all I know to solve this.

Thank you.
Ian

Author:  Stephen Ewen [ Wed Mar 30, 2016 11:07 pm ]
Post subject:  Re: In upgrade to Hericlitus 4.3

Please hit F12 on your keyboard or otherwise open a terminal and run
Code:
sudo apt-get -f install && sudo apt-get update
If this does not fix the issue, download the affected package to your desktop, right-click over a blank space on your desktop, select Open Terminal Here, and then run the following line in the terminal:
Code:
sudo dpkg -i uberstudent*.deb
Then, in the terminal run
Code:
sudo apt-get update
Then, open the Update Manager and run it to install the updated package for uberstudent-panel-changer.

Does this fix the issue?

Author:  Ian Smith [ Thu Mar 31, 2016 1:42 pm ]
Post subject:  Re: In upgrade to Hericlitus 4.3

No. But it would have solved the anomaly if my com skills were greater or a 9yr old was doing it.

Stephen, I'm pleased you have given of your time here.
I do want Hericlitus correctly installed, but I'm not doing your creation justice by using a 32-bit disc install on a Compaq Presario SR 1000 desktop.
I do have a 64-bit UberStudent disc that I'll load onto a better newer machine soon.

Thank you for the sig link to buildcomputers.net
Learning has taken place today.
Kindest, Ian

Author:  Stephen Ewen [ Fri Apr 01, 2016 5:28 am ]
Post subject:  Re: In upgrade to Hericlitus 4.3

This appears to have been caused by a race condition applicable to a system that has not been used for a long time before updating it, as with your case. At any rate, the new package of uberstudent-panel-changer will avoid this for anyone in the future under similar conditions. Installing from the 4.3 ISO avoids it too, of course. :geek:

Author:  Ian Smith [ Fri Apr 08, 2016 11:40 am ]
Post subject:  Re: In upgrade to Hericlitus 4.3

I have sent off for the Heri 4.3 disc to OS Disc com.
But as i mentioned, I'll install on a newer machine. I'll be trying to resolve graphic card issue's with what I have used so far.
Will get back to you.

Enjoy the weekend.
ian

Author:  Ian Smith [ Thu Apr 28, 2016 8:14 pm ]
Post subject:  Re: In upgrade to Hericlitus 4.3

Having now installed Hericlitus 4.3 from an OSDisc.com disc, the previous anomaly has been corrected.
The system is now performing as it should.
Fixed.


Thank you, ian.

Author:  Berker Pekoz [ Fri May 13, 2016 10:00 pm ]
Post subject:  Re: In upgrade to Hericlitus 4.3

So I had trouble with helper, enduser and uberstudent system. First I got the enduser deb and tried to install it:
Code:
sudo dpkg -i ub*.deb
[sudo] password for berker:
(Reading database ... 332986 files and directories currently installed.)
Preparing to unpack uberstudent-xfce-default-settings-enduser_1.6.2_all.deb ...
Unpacking uberstudent-xfce-default-settings-enduser (1.6.2) over (1.6.2) ...
dpkg: dependency problems prevent configuration of uberstudent-xfce-default-settings-enduser:
 uberstudent-xfce-default-settings-enduser depends on uberstudentsystem; however:
  Package uberstudentsystem is not configured yet.
 uberstudent-xfce-default-settings-enduser depends on uberstudent-xfce-default-settings-helper (>= 1.6.2); however:
  Package uberstudent-xfce-default-settings-helper is not installed.

dpkg: error processing package uberstudent-xfce-default-settings-enduser (--install):
 dependency problems - leaving unconfigured
Processing triggers for hicolor-icon-theme (0.13-1) ...
Processing triggers for libglib2.0-0:amd64 (2.40.2-0ubuntu1) ...
Processing triggers for libglib2.0-0:i386 (2.40.2-0ubuntu1) ...
Processing triggers for gconf2 (3.2.6-0ubuntu2) ...
Processing triggers for mime-support (3.54ubuntu1.1) ...
Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Errors were encountered while processing:
 uberstudent-xfce-default-settings-enduser

Looking at it, I've thrown the helper in the folder and retried:
Code:
sudo dpkg -i ub*.deb
(Reading database ... 332986 files and directories currently installed.)
Preparing to unpack uberstudent-xfce-default-settings-enduser_1.6.2_all.deb ...
Unpacking uberstudent-xfce-default-settings-enduser (1.6.2) over (1.6.2) ...
Selecting previously unselected package uberstudent-xfce-default-settings-helper.
dpkg: regarding uberstudent-xfce-default-settings-helper_1.7.7_all.deb containing uberstudent-xfce-default-settings-helper, pre-dependency problem:
 uberstudent-xfce-default-settings-helper pre-depends on uberstudent-xfce-default-settings-enduser (>= 1.6.2)
  uberstudent-xfce-default-settings-enduser latest configured version is 1.4.1.9.

dpkg: error processing archive uberstudent-xfce-default-settings-helper_1.7.7_all.deb (--install):
 pre-dependency problem - not installing uberstudent-xfce-default-settings-helper
dpkg: dependency problems prevent configuration of uberstudent-xfce-default-settings-enduser:
 uberstudent-xfce-default-settings-enduser depends on uberstudentsystem; however:
  Package uberstudentsystem is not configured yet.
 uberstudent-xfce-default-settings-enduser depends on uberstudent-xfce-default-settings-helper (>= 1.6.2); however:
  Package uberstudent-xfce-default-settings-helper is not installed.

dpkg: error processing package uberstudent-xfce-default-settings-enduser (--install):
 dependency problems - leaving unconfigured
Processing triggers for hicolor-icon-theme (0.13-1) ...
Processing triggers for libglib2.0-0:amd64 (2.40.2-0ubuntu1) ...
Processing triggers for libglib2.0-0:i386 (2.40.2-0ubuntu1) ...
Processing triggers for gconf2 (3.2.6-0ubuntu2) ...
Processing triggers for mime-support (3.54ubuntu1.1) ...
Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Errors were encountered while processing:
 uberstudent-xfce-default-settings-helper_1.7.7_all.deb
 uberstudent-xfce-default-settings-enduser


Can't find a way out of this loop :shock:

Author:  Stephen Ewen [ Sat May 14, 2016 4:12 am ]
Post subject:  Re: In upgrade to Hericlitus 4.3

1. Create a folder on your desktop named u-dpkg.

2. Download the following in to the folder:

http://uberstudent.net/pool/main/u/uber ... .2_all.deb
http://uberstudent.net/pool/main/u/uber ... .5_all.deb
http://uberstudent.net/pool/main/u/uber ... .7_all.deb

3. Navigate inside the folder and right click in a white space within it and choose Open Terminal Here.

4. Run the following line:
Quote:
sudo dpkg --force-all -i *.deb
Done.

Author:  Berker Pekoz [ Sat May 14, 2016 10:13 pm ]
Post subject:  Re: In upgrade to Hericlitus 4.3

Hooray! worked perfectly!

Page 1 of 1 All times are UTC
Powered by phpBB® Forum Software © phpBB Group
http://www.phpbb.com/